import { Writable } from 'node:stream';
export const awslambdaSimulator = (silent) => {
    let responseStream;
    let responseResult;
    responseStream = new Writable({
        write(chunk, encoding, callback) {
            if (!silent)
                process.stdout.write(chunk.toString());
            if (!responseResult) {
                responseResult = chunk;
            }
            else {
                responseResult = Buffer.concat([responseResult, chunk]);
            }
            callback();
        },
    });
    return {
        awslambda: {
            streamifyResponse: (handler) => async (event, context) => {
                await handler(event, responseStream, context);
                return responseStream;
            },
            HttpResponseStream: {
                from(responseStream, metadata) {
                    //TODOD: implement writing metadata to responseStream
                    return responseStream;
                },
            },
        },
        streamifyHandler: (handler) => async (event, context) => {
            await handler(event, responseStream, context);
            await new Promise(resolve => responseStream.on('close', resolve));
            return responseResult.toString('utf-8');
        },
    };
};
